## r-bioc-gypsum 1.0.1+ds

=== DESCRIPTION ===
Package: gypsum
Version: 1.0.1
Date: 2024-05-07
Title: Interface to the gypsum REST API
Description: 
    Client for the gypsum REST API (https://gypsum.artifactdb.com), a cloud-based file store in the ArtifactDB ecosystem.
    This package provides functions for uploads, downloads, and various adminstrative and management tasks.
    Check out the documentation at https://github.com/ArtifactDB/gypsum-worker for more details.
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Imports: utils, tools, httr2, jsonlite, parallel, filelock
Suggests: knitr, rmarkdown, testthat, BiocStyle, digest, jsonvalidate,
        DBI, RSQLite, S4Vectors, methods
RoxygenNote: 7.3.1
VignetteBuilder: knitr
URL: https://github.com/ArtifactDB/gypsum-R
BugReports: https://github.com/ArtifactDB/gypsum-R/issues
biocViews: DataImport
git_url: https://git.bioconductor.org/packages/gypsum
git_branch: RELEASE_3_19
git_last_commit: 8e1c076
git_last_commit_date: 2024-05-07
Repository: Bioconductor 3.19
Date/Publication: 2024-05-08
NeedsCompilation: no
Packaged: 2024-05-08 21:30:19 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-gypsum (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:33:48 +0200

r-bioc-gypsum (1.0.1+ds-2~0exp1) experimental; urgency=medium

  * d/tests/control: bump minimum versions of r-bioc-* packages to bioc-
    3.19+ versions
  * Added patch to work around lack of jsonvalidate in Debian.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 13:54:49 +0200

r-bioc-gypsum (1.0.1+ds-2~0exp0) experimental; urgency=medium

  * autopkgtests: skip architectures where the dependencies are
    unavailable
  * Reduce piuparts noise in transitions (routine-update)
  * d/upstream/metadata: added

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 14:14:06 +0200

r-bioc-gypsum (1.0.1+ds-1) unstable; urgency=medium

  * Initial release (closes: #1076033)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:15:00 +0200

=== debian/control ===
Source: r-bioc-gypsum
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gypsum
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gypsum.git
Homepage: https://bioconductor.org/packages/gypsum/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr2,
               r-cran-jsonlite,
               r-cran-filelock
Testsuite: autopkgtest-pkg-r

Package: r-bioc-gypsum
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-s4vectors (>= 0.42.1)
Description: Interface to the gypsum REST API
 Client for the gypsum REST API (https://gypsum.artifactdb.com), a cloud-based
 file store in the ArtifactDB ecosystem.
 .
 This package provides functions for uploads, downloads, and various
 adminstrative and management tasks.
 .
 Check out the documentation at https://github.com/ArtifactDB/gypsum-worker for
 more details.

## r-bioc-gypsum 1.2.0+ds

=== DESCRIPTION ===
Package: gypsum
Version: 1.2.0
Date: 2024-06-20
Title: Interface to the gypsum REST API
Description: 
    Client for the gypsum REST API (https://gypsum.artifactdb.com), a cloud-based file store in the ArtifactDB ecosystem.
    This package provides functions for uploads, downloads, and various adminstrative and management tasks.
    Check out the documentation at https://github.com/ArtifactDB/gypsum-worker for more details.
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Imports: utils, httr2, jsonlite, parallel, filelock, rappdirs
Suggests: knitr, rmarkdown, testthat, BiocStyle, digest, jsonvalidate,
        DBI, RSQLite, S4Vectors, methods
RoxygenNote: 7.3.1
VignetteBuilder: knitr
URL: https://github.com/ArtifactDB/gypsum-R
BugReports: https://github.com/ArtifactDB/gypsum-R/issues
biocViews: DataImport
git_url: https://git.bioconductor.org/packages/gypsum
git_branch: RELEASE_3_20
git_last_commit: 7fb25e1
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-30 01:04:21 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-gypsum (1.2.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:43:19 +0100

r-bioc-gypsum (1.2.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Refreshed the jsonvalidate avoidance patch.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 09:35:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gypsum
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gypsum.git
 Homepage: https://bioconductor.org/packages/gypsum/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-httr2,
                r-cran-jsonlite,
-               r-cran-filelock
+               r-cran-filelock,
+               r-cran-rappdirs
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gypsum
@@ -21,9 +22,7 @@
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-s4vectors (>= 0.42.1)
+Suggests: ${R:Suggests}
 Description: Interface to the gypsum REST API
  Client for the gypsum REST API (https://gypsum.artifactdb.com), a cloud-based
  file store in the ArtifactDB ecosystem.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/gypsum.html .*/gypsum_(.*).tar.gz
